rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe 4927103 1 0 _" "tests\02" 2
call scripts\gen-input-via-stdout.bat "files\gen.exe 4419480 2 0 _" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen.exe 9020222 2 1 _" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe 4658234 3 1 _" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe 653983 5 1 _" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen.exe 266343 10 7 nmu1" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen.exe 9339453 20 13 linr" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen.exe 5624902 106 23 _" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen.exe 765230 537 2 _" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen.exe 2435842 1297 909 _" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen.exe 39274 2601 2600 nmu1" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen.exe 3659842 4197 2999 linr" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen.exe 493738 5964 753 _" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen.exe 1069493 10010 4344 _" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen.exe 453953 47210 39400 _" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen.exe 3566775 90346 10339 _" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen.exe 4063430 100000 72306 _" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen.exe 123124 100000 90932 nmu1" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\gen.exe 494553 100000 81349 linr" "tests\21" 21
call scripts\gen-input-via-stdout.bat "files\genstar.exe 349532 100000" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\gen.exe 23452 100000 99999 _" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen.exe 949643 100000 0 _" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\gen.exe 345983 100000 45 _" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\gen.exe 12355 100000 32891 _" "tests\26" 26
call scripts\gen-answer.bat tests\01 tests\01.a
call scripts\gen-answer.bat tests\02 tests\02.a
call scripts\gen-answer.bat tests\03 tests\03.a
call scripts\gen-answer.bat tests\04 tests\04.a
call scripts\gen-answer.bat tests\05 tests\05.a
call scripts\gen-answer.bat tests\06 tests\06.a
call scripts\gen-answer.bat tests\07 tests\07.a
call scripts\gen-answer.bat tests\08 tests\08.a
call scripts\gen-answer.bat tests\09 tests\09.a
call scripts\gen-answer.bat tests\10 tests\10.a
call scripts\gen-answer.bat tests\11 tests\11.a
call scripts\gen-answer.bat tests\12 tests\12.a
call scripts\gen-answer.bat tests\13 tests\13.a
call scripts\gen-answer.bat tests\14 tests\14.a
call scripts\gen-answer.bat tests\15 tests\15.a
call scripts\gen-answer.bat tests\16 tests\16.a
call scripts\gen-answer.bat tests\17 tests\17.a
call scripts\gen-answer.bat tests\18 tests\18.a
call scripts\gen-answer.bat tests\19 tests\19.a
call scripts\gen-answer.bat tests\20 tests\20.a
call scripts\gen-answer.bat tests\21 tests\21.a
call scripts\gen-answer.bat tests\22 tests\22.a
call scripts\gen-answer.bat tests\23 tests\23.a
call scripts\gen-answer.bat tests\24 tests\24.a
call scripts\gen-answer.bat tests\25 tests\25.a
call scripts\gen-answer.bat tests\26 tests\26.a

